# ProgressBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md)

Represents a progress control that displays a value visually as a filled bar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ProgressBar : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ProgressBar
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ProgressBar()

Initializes a new instance of the [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md) class.

### ![](/files/hsR4ok3152WyAf8J2C1u) ProgressBar(location, size)

Initializes a new instance of the [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md) class with the specified settings. Sets the [Location](/api/wisej.web/general/control.md#location) and [Size](https://docs.microsoft.com/dotnet/api/system.drawing.size) properties based on the provided parameters.

| Name         | Type                                                                | Description                                             |
| ------------ | ------------------------------------------------------------------- | ------------------------------------------------------- |
| **location** | [Point](https://docs.microsoft.com/dotnet/api/system.drawing.point) | The location of the progress bar on its parent control. |
| **size**     | [Size](https://docs.microsoft.com/dotnet/api/system.drawing.size)   | The size of the progress bar.                           |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) BarColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color of the progress bar portion.

### ![](/files/hsR4ok3152WyAf8J2C1u) BorderStyle

[BorderStyle](/api/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control. (Default: `None`)

### ![](/files/lzopMboA31bVq8UIcbT3) DefaultSize

[Size](https://docs.microsoft.com/dotnet/api/system.drawing.size): Returns the default size of the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Maximum

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the maximum value of the range of the control. (Default: `100`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The value specified is less than 0.

### ![](/files/hsR4ok3152WyAf8J2C1u) Minimum

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the minimum value of the range of the control. (Default: `0`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The value specified for the property is less than 0.

### ![](/files/hsR4ok3152WyAf8J2C1u) Step

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the amount by which a call to the [PerformStep](#performstep) method increases the current position of the progress bar. (Default: `10`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the current position of the progress bar. (Default: `0`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The value specified is greater than the value of the [Maximum](#maximum) property; or the value specified is less than the value of the [Minimum](#minimum) property.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Increment(value)

Advances the current position of the progress bar by the specified amount.

| Parameter | Type                                                        | Description                                                           |
| --------- | ----------------------------------------------------------- | --------------------------------------------------------------------- |
| **value** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The amount by which to increment the progress bar's current position. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

### ![](/files/hsR4ok3152WyAf8J2C1u) PerformStep()

Advances the current position of the progress bar by the amount of the [Step](#step) property.

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/wisej.web.progressbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
